<?php ?>
    <script>
        var Help = new Array();
        Help['Entities in eduGAIN'] = 'You may notice that the sum of all IdPs, SPs and AAs is to more then the number of all entities. The reason for this is that a few entites are listed in two roles - IdP and SP therefore they are counted twice when you add IdPs to SPs.';
        Help['Federations in eduGAIN'] = 'Federations which have passed the acceptance process but have not yet stated providing their own metadata are shown in the Voting-only group.';
        Help['Entity category filter'] = 'Entity categories allow grouping entities sharing common criteria, some of them like <strong>GÉANT Data Protection Code of Conduct</strong> have particular use for eduGAIN as their usage is meant to help in defining attribute release policies. This filter allows you to find out how the entity catiegories concept is spread within eduGAIN. More on this topic at <a href="https://refeds.org/display/ENT/Entity-Categories+Home\"><strong>REFEDS WIKI</strong></a>.';
        Help['SAML 2.0 support'] = 'This filter allows you to find out which entities do and which do not declare SAML 2.0 support';
        Help['ECCS IdP test status'] = 'eduGAIN Connectivity Check Service - ECCS is to identify eduGAIN Identity Providers (IdP) that are not properly configured.  With this filter you can quickly find out how the IdPs respond to these tests. More info in <a href="https://wiki.edugain.org/EduGAIN_Connectivity_Check" target="_blank"><strong>eduGAIN WIKI</strong></a>';
        Help['Entity clashes'] = 'Show clash information. If one entityID is supplied by more then one federation, display information in which federations it was found. <br />When the display is limited to a subset of federations, having this option set will also display entities which were exported within the selected federations but were overriden by the clash resolution. <br />CLASHes shown in Yelow make it to eduGAIN but block others, the ones show in Red are the blocked ones.<br />Click on the CLASH link to see the list of conflicts.';
        Help['Validator warnings'] = 'Select based on existance of validator warnings; click on Entity details to see the warnings.';
        Help['CoCo status'] = 'Filter on Code of Conduct monitoring status of Service providers.';
        Help['Download CSV'] = 'Rather then displaying the results as a table, download the results as tab separated text file. This file can be imported into a spreadsheet (LibreOffice works particularly nice)';
        Help['SIRTFI errors'] = "<p>Show entities declararing <a href='https://wiki.refeds.org/display/GROUPS/SIRTFI' target='_blank'>REFEDS SIRTFI</a> support but violating the specification";
        Help['Appeared in eduGAIN'] = 'Only show enetities which appered in eduGAIN in the selected time period.<p>The <i>first seen</i> dates are collected only since 2017-04-13.';

        function openHelp($helpTrigger){
          var helpId = $helpTrigger.attr('data-help_id');
          $help = $('#help_dialog');
          $help.html('<p>' + Help[helpId] + '</p>');
          $help.dialog('option', 'title', helpId);
          $help.dialog('option', { position: { my: "left top", at: "right bottom", of: $helpTrigger } });
          $help.dialog('open');
        }

        $(function(){
          var $footer = $('footer');

          var $body = $("body");
          $body.css('margin-top', 0);
          $body.css('margin-bottom', 0);

          // function to set the height on fly
          function autoHeight() {
            // $('#wrap').css('min-height', 0);
            $('#wrap').css('min-height', (
              $(document).outerHeight()
              - $('header').outerHeight()
              + $('#wrap').height()
              - $('#wrap').outerHeight()
              - $footer.height()
            ));
          }

          // onDocumentReady function bind
          $(document).ready(function() {
            autoHeight();

            $("button").mouseout(function(){
              this.blur();
            })
          });

          // onResize bind of the function
          $(window).resize(function() {
            autoHeight();
          });


          $footer.css('visibility', 'visible');

          $('#help_dialog').dialog({
            autoOpen: false
          });

          $('.help').click(function(e){
            e.preventDefault();
            var $helpTrigger = $(this);
            openHelp($helpTrigger);
          });


        });
      </script>
      <script src="menu.js"></script>
