#!/bin/bash

# logs/stderr_$date.log is kept to see which IdP had been errors

BASEDIR=/home/eccs

# Remove old IdP and Fed List
rm -f $BASEDIR/input/*.json

# Run ECCS2
$BASEDIR/runEccs.py

# Run again ECCS2 for those IdPs who failed check
$BASEDIR/retryFailedChecks.py

# Remove useless files
rm -rf /tmp/.com.google.Chrome* /tmp/chromium-*
